# Studienprojekt - Faltung auf S2


## Description
During my bachelor I wrote on a student project about Convolution on the $S^2$-Sphere. Given a set of points on the sphere $V$, the Goal of the Project was to approximate a rotation of a rotated subset of these points $U$ by finding the maximum of the Convolution $V \ast U$. The Convolution is calculated by multiplying the Fourier-ceofficients of $V$ and $U$.

All the code I wrote can be found here on GitLab. Everything was written in MatLab using the MTEX Toolbox. 
